package cn.timer.api.controller.zpgl;

import cn.timer.api.aspect.lang.annotation.Log;
import cn.timer.api.aspect.lang.enums.BusinessType;
import cn.timer.api.bean.disk.DiskCatalogue;
import cn.timer.api.bean.zpgl.ZpglMslcLog;
import cn.timer.api.dao.zpgl.ZpglMslcLogMapper;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.transaction.Transactional;
import java.util.Date;

@Api(tags = "招聘管理")
@Transactional(rollbackOn = Exception.class)
@RestController
@RequestMapping(value = "/zpgl", produces = { "application/json" })
public class ZpglController {

	@Autowired
	private ZpglMslcLogMapper zpglMslcLogMapper;

	/**
	 * test
	 *
	 * @param
	 * @return
	 */
	@RequestMapping("/test")
	@Log(title = "test", businessType = BusinessType.INSERT_UPDATE)
	public Result<Object> addjob() {
		ZpglMslcLog zpglMslcLog = new ZpglMslcLog();
		return ResultUtil.success();
	}

}
